nvme_identify_domain_list(2)

NAME
nvme_identify_domain_list - Domain list data

SYNOPSIS
int nvme_identify_domain_list (int fd , __u16 domid , struct nvme_id_domain_list *list );

ARGUMENTS

fd  File descriptor of nvme device

domid
    Domain ID

list
    User space destination address to transfer data

DESCRIPTION
A list of 31 domain IDs is returned to the host containing domain attributes in increasing order that are greater than the value specified in the domid field.

See struct nvme_identify_domain_attr for the definition of the returned structure.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.